@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

body {
    margin: 0;
    background-color: #DBDFF4;
    height: 100vh;
    overflow: hidden;
    font-family: 'Figtree', sans-serif;
}

section {
    margin: auto;
    width: 75vw;
    height: 75vh;
    background-color: rgba(255, 255, 255, 0.3);
    border: 2px solid white;
    border-radius: 30px;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

#intro-section {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 70px;
}

.title-page h1 {
    font-size: 32px;
    color: var(--color-primary);
    font-weight: normal;
    margin-top: 0;
    margin-bottom: 20px;
    line-height: 1.2;
    text-align: left;
}

.title-page h1 .highlight {
    font-weight: bold;
}

.subtitle-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.subtitle {
    font-size: 17px;
    color: var(--color-primary);
    max-width: 55%;
    text-align: left;
    margin: 0;
}

.button-container {
    display: flex;
    justify-content: flex-end;
}

.center-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 92vh;
}

#content-section {
    overflow-y: auto;
    height: 100%;
    margin-inline: 70px;
}

.container {
    columns: 18rem;
    gap: 2.5rem;
    overflow-y: visible;
    height: auto;
    padding-right: 16px;
    margin-bottom: 70px;
}

.item {
    break-inside: avoid;
    background: rgba(255, 255, 255, 0.85);
    padding: 28px;
    border-radius: 0px 14px 14px 14px;
    border: 2px solid white;
    margin-bottom: 2.5rem;
    box-sizing: border-box;
    color: var(--color-primary);
    font-size: 17px;
}

.quote-icon {
    width: 35px;
    height: auto;
    margin-bottom: 30px;
    display: block;
}

.name-container {
    margin-top: 30px;
    display: flex;
    align-items: center;
    font-weight: bold;
}

.message-date {
    font-size: 17px;
}

.butterfly-icon {
    width: 24px;
    height: auto;
    margin-right: 5px;
}

#form-contact {
    padding: 60px;
}

#form-contact textarea {
    margin: 20px 0;
    font-size: 17px;
    width: 99%;
    background-color: transparent;
    color: var(--color-primary);
    border: 0;
    border-bottom: 2px solid var(--color-primary);
    font-family: 'Figtree';
    resize: none;
}

#form-contact textarea:focus {
    outline: none;
}

.button {
    display: flex;
    justify-content: center;
    text-decoration: none;
}

.button button {
    font-family: 'Figtree';
    font-size: 17px;
    background-color: white;
    margin-top: 50px;
    padding: 10px 50px;
    display: block;
    border-radius: 12px;
    border: 2px solid var(--color-blue);
    cursor: pointer;
    color: var(--color-blue);
    width: 210px;
}

#message-confirm {
    z-index: 1000;
    position: absolute;
    padding: 30px;
    width: 400px;
    top: 300px;
    font-size: 25px;
    text-align: center;
    border-radius: 20px;
    left: 50%;
    margin-left: -200px;
    background-color: white;
    color: var(--color-primary);
    font-family: 'Figtree';
}

#add-message-button {
    all: unset;
    width: 75px;
    height: 75px;
    background-color: white;
    color: var(--color-primary);
    border-radius: 0px 14px 14px 14px;
    text-align: center;
    font-size: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition-duration: 0.2s;
    animation: bounce 4s infinite ease-in-out;
}

#add-message-button:hover {
    background-color: rgba(60, 61, 72, 0.5);
}

#message-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #0009;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.popup-content {
    border-radius: 20px;
    background-color: white;
    margin: auto;
    width: 80%;
    max-width: 500px;
    position: relative;
}

.popup-content .close {
    position: absolute;
    right: 20px;
    top: 10px;
    font-size: 46px;
    cursor: pointer;
    color: var(--color-pink);
}

.hidden {
    display: none;
}

@media only screen and (max-width: 1100px) {
    #intro-section {
        align-items: center;
        margin: 40px;
    }

    #content-section {
        margin: 0px 40px 40px;
    }

    .title-page h1 {
        text-align: center;
    }

    .subtitle-container {
        flex-direction: column;
        gap: 30px;
    }

    .subtitle {
        text-align: center;
        max-width: none;
    }

    .container {
        margin-bottom: 0px;
    }
}

@media only screen and (max-width: 700px) {    
    section {
        height: 80vh;
        width: 92vw;
        border-radius: 18px;
    }
    
    #intro-section {
        margin: 16px;
    }

    .item {
        margin-bottom: 1rem;
        font-size: 16px;
    }

    #add-message-button {
        width: 55px;
        height: 55px;
        font-size: 30px;
    }

    .title-page h1 {
        font-size: 27px;
        margin: 18px 0;
        text-align: center;
    }

    .subtitle {
        font-size: 16px;
    }

    #content-section {
        margin: 16px;
    }

    quote-icon {
        width: 30px;
    }

    .message-date {
        font-size: 16px;
    }
}
